<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Form Request</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Perbaikan Sapras</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="card">
                        <div class="card-header">
                            <h4>Form</h4>
                        </div>
                        <div class="card-body">
                            <form th:action="@{/perbaikanSapras/save}" method="post" enctype="multipart/form-data">
                                <div class="form-group">
                                    <label>Ruangan</label>
                                    <select class="form-control" name="Idruangan" style="width: 100%;" id="select-ruangan" required onchange="getBarang()">
                                        <option value="" selected disabled>-- Pilih --</option>
                                        <option th:each="data, row:${ruangan}"
                                                th:value="${data.id}"
                                                th:text="${data.namaRuangan + ' (Gedung : ' + data.idGedung.namaGedung + ')'}"></option>
                                    </select>
                                    <input type="hidden" name="ruangan" id="isiRuangan">
                                </div>
                                <div class="form-group">
                                    <label>Barang</label>
                                    <select class="form-control" name="idAset" style="width: 100%;" required id="select-barang">
                                    </select>
                                    <input type="hidden" name="aset" id="isiBarang">
                                </div>
                                <div class="form-group">
                                    <label>Keterangan</label>
                                    <input class="form-control" type="text" name="keterangan" required>
                                </div>
                                <div class="form-group">
                                    <label>Bukti Kerusakan</label>
                                    <input type="file" name="image" class="form-control" required>
                                </div>
                                <div class="form-group">
                                    <button class="btn btn-primary">Simpan</button>
                                    <a th:href="@{/request/perbaikanSapras/list}" class="btn btn-danger">Kembali</a>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>

</body>

</html>

<script>
    $(function (){
        $('#select-ruangan').select2({
            placholder: 'Select Option'
        });
        $('#select-barang').select2({
            placholder: 'Select Option'
        });

        $('#select-ruangan').on('select2:selecting', function(e){
            console.log('Selecting: ' , e.params.args.data.text);
            $('#isiRuangan').val(e.params.args.data.id);
        });

        $('#select-barang').on('select2:selecting', function(e){
            console.log('Selecting: ' , e.params.args.data.text);
            console.log('id: ' , e.params.args.data.id);
            $('#isiBarang').val(e.params.args.data.id);
        });

    });

    function getBarang(){
        let dropdown = $('#select-barang');

        dropdown.empty();
        dropdown.append('<option selected="true" disabled>Pilih Barang</option>');
        dropdown.prop('selectedIndex', 0);
        console.log($('#isiRuangan').val());


        const url = '/api/barang?id='+$('#isiRuangan').val();

        $.getJSON(url, function (data){
            console.log(data);
            $.each(data, function (key, entry){
                dropdown.append($('<option></option>').attr('value', entry.id).text(entry.namaAset));
                console.log($('#isiBarang').val())
            })
        });
    }
</script>